org.eclipse.gef.dot.internal.language

## Class DotRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.gef.dot.internal.language.AbstractDotRuntimeModule
      - - org.eclipse.gef.dot.internal.language.DotRuntimeModule

All Implemented Interfaces:
  com.google.inject.Module

    public class DotRuntimeModule
    extends AbstractDotRuntimeModule

Use this class to register components to be used at runtime / without the Equinox extension registry.

### Field Summary

### Fields inherited from class org.eclipse.gef.dot.internal.language.AbstractDotRuntimeModule

`properties`

### Constructor Summary

Constructors
Constructor and Description
`DotRuntimeModule()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Class<? extends org.eclipse.xtext.formatting.INodeModelStreamer>` `bindINodeModelStreamer()`
`java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider>` `bindIQualifiedNameProvider()`
`java.lang.Class<? extends org.eclipse.xtext.conversion.IValueConverterService>` `bindIValueConverterService()`
`void` `configure(com.google.inject.Binder binder)`

### Methods inherited from class org.eclipse.gef.dot.internal.language.AbstractDotRuntimeModule

`bindAbstractIDValueConverter, bindClassLoaderToInstance, bindDotJavaValidator, bindIAntlrTokenFileProvider, bindIFormatter, bindIGrammarAccess, bindIParser, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenSerializer$IKeywordSerializer, bindITokenToStringConverter, bindLexer, configureFileExtensions, configureLanguageName, configureRuntimeLexer, provideInternalDotLexer`

### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

`bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIContainer$Manager, bindIFragmentProvider, bindIGlobalScopeProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindIScopeProvider, bindITransientValueService, bindResourceSet, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptions, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureLinkingIScopeProvider, configureRuntimeEncodingProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

`bindProperties, getBindings, tryBindProperties`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DotRuntimeModule

    public DotRuntimeModule()

### Method Detail

#### bindIValueConverterService

    public java.lang.Class<? extends org.eclipse.xtext.conversion.IValueConverterService> bindIValueConverterService()

Overrides:
  `bindIValueConverterService` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

#### bindINodeModelStreamer

    public java.lang.Class<? extends org.eclipse.xtext.formatting.INodeModelStreamer> bindINodeModelStreamer()

#### configure

    public void configure(com.google.inject.Binder binder)

Specified by:
  `configure` in interface `com.google.inject.Module`
Overrides:
  `configure` in class `AbstractDotRuntimeModule`

#### bindIQualifiedNameProvider

    public java.lang.Class<? extends org.eclipse.xtext.naming.IQualifiedNameProvider> bindIQualifiedNameProvider()

Overrides:
  `bindIQualifiedNameProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`